import Vue from 'vue'
import {
  Loading,
  Message,
  MessageBox,
  Notification,
  Container,
  Aside,
  Header,
  Main,
  Footer,
  Button,
  Tag,
  Menu,
  MenuItem,
  Submenu,
  MenuItemGroup,
  Tooltip,
  Select,
  Option,
  OptionGroup,
  Popover,
  Input,
  Tabs,
  TabPane,
  Empty,
  Dropdown,
  DropdownItem,
  DropdownMenu,
  Link,
  Table,
  TableColumn,
  Form,
  FormItem,
  Row,
  Col,
  TimePicker,
  DatePicker,
  Radio,
  RadioGroup,
  Dialog,
  Pagination,
  ButtonGroup,
  Popconfirm,
} from 'element-ui'

Vue.use(Container)
Vue.use(Aside)
Vue.use(Header)
Vue.use(Main)
Vue.use(Footer)
Vue.use(Button)
Vue.use(Tag)
Vue.use(Menu)
Vue.use(MenuItem)
Vue.use(Submenu)
Vue.use(MenuItemGroup)
Vue.use(Tooltip)
Vue.use(Select)
Vue.use(Option)
Vue.use(OptionGroup)
Vue.use(Popover)
Vue.use(Input)
Vue.use(Tabs)
Vue.use(TabPane)
Vue.use(Empty)
Vue.use(Dropdown)
Vue.use(DropdownItem)
Vue.use(DropdownMenu)
Vue.use(Link)
Vue.use(Table)
Vue.use(TableColumn)
Vue.use(Loading)
Vue.use(Form)
Vue.use(FormItem)
Vue.use(Row)
Vue.use(Col)
Vue.use(TimePicker)
Vue.use(DatePicker)
Vue.use(Radio)
Vue.use(RadioGroup)
Vue.use(Dialog)
Vue.use(Pagination)
Vue.use(ButtonGroup)
Vue.use(Popconfirm)

Vue.prototype.$loading = Loading.service
Vue.prototype.$msgbox = MessageBox
Vue.prototype.$alert = MessageBox.alert
Vue.prototype.$confirm = MessageBox.confirm
Vue.prototype.$prompt = MessageBox.prompt
Vue.prototype.$notify = Notification
Vue.prototype.$message = Message
